// Generated by the gRPC C++ plugin.
// If you make any local change, they will be lost.
// source: database.proto

#include "database.pb.h"
#include "database.grpc.pb.h"

#include <grpcpp/impl/codegen/async_stream.h>
#include <grpcpp/impl/codegen/async_unary_call.h>
#include <grpcpp/impl/codegen/channel_interface.h>
#include <grpcpp/impl/codegen/client_unary_call.h>
#include <grpcpp/impl/codegen/method_handler_impl.h>
#include <grpcpp/impl/codegen/rpc_service_method.h>
#include <grpcpp/impl/codegen/service_type.h>
#include <grpcpp/impl/codegen/sync_stream.h>
namespace mascot {

static const char* Directory_method_names[] = {
  "/mascot.Directory/ExportDevice",
  "/mascot.Directory/ExportDevices",
  "/mascot.Directory/ImportDevice",
};

std::unique_ptr< Directory::Stub> Directory::NewStub(const std::shared_ptr< ::grpc::ChannelInterface>& channel, const ::grpc::StubOptions& options) {
  (void)options;
  std::unique_ptr< Directory::Stub> stub(new Directory::Stub(channel));
  return stub;
}

Directory::Stub::Stub(const std::shared_ptr< ::grpc::ChannelInterface>& channel)
  : channel_(channel), rpcmethod_ExportDevice_(Directory_method_names[0], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_ExportDevices_(Directory_method_names[1], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  , rpcmethod_ImportDevice_(Directory_method_names[2], ::grpc::internal::RpcMethod::NORMAL_RPC, channel)
  {}

::grpc::Status Directory::Stub::ExportDevice(::grpc::ClientContext* context, const ::mascot::DbDevExportInfo& request, ::mascot::DirectoryReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_ExportDevice_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::DirectoryReply>* Directory::Stub::AsyncExportDeviceRaw(::grpc::ClientContext* context, const ::mascot::DbDevExportInfo& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::DirectoryReply>::Create(channel_.get(), cq, rpcmethod_ExportDevice_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::DirectoryReply>* Directory::Stub::PrepareAsyncExportDeviceRaw(::grpc::ClientContext* context, const ::mascot::DbDevExportInfo& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::DirectoryReply>::Create(channel_.get(), cq, rpcmethod_ExportDevice_, context, request, false);
}

::grpc::Status Directory::Stub::ExportDevices(::grpc::ClientContext* context, const ::mascot::DbDevExportInfos& request, ::mascot::DirectoryReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_ExportDevices_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::DirectoryReply>* Directory::Stub::AsyncExportDevicesRaw(::grpc::ClientContext* context, const ::mascot::DbDevExportInfos& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::DirectoryReply>::Create(channel_.get(), cq, rpcmethod_ExportDevices_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::DirectoryReply>* Directory::Stub::PrepareAsyncExportDevicesRaw(::grpc::ClientContext* context, const ::mascot::DbDevExportInfos& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::DirectoryReply>::Create(channel_.get(), cq, rpcmethod_ExportDevices_, context, request, false);
}

::grpc::Status Directory::Stub::ImportDevice(::grpc::ClientContext* context, const ::mascot::DeviceName& request, ::mascot::DirectoryImportReply* response) {
  return ::grpc::internal::BlockingUnaryCall(channel_.get(), rpcmethod_ImportDevice_, context, request, response);
}

::grpc::ClientAsyncResponseReader< ::mascot::DirectoryImportReply>* Directory::Stub::AsyncImportDeviceRaw(::grpc::ClientContext* context, const ::mascot::DeviceName& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::DirectoryImportReply>::Create(channel_.get(), cq, rpcmethod_ImportDevice_, context, request, true);
}

::grpc::ClientAsyncResponseReader< ::mascot::DirectoryImportReply>* Directory::Stub::PrepareAsyncImportDeviceRaw(::grpc::ClientContext* context, const ::mascot::DeviceName& request, ::grpc::CompletionQueue* cq) {
  return ::grpc::internal::ClientAsyncResponseReaderFactory< ::mascot::DirectoryImportReply>::Create(channel_.get(), cq, rpcmethod_ImportDevice_, context, request, false);
}

Directory::Service::Service() {
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      Directory_method_names[0],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< Directory::Service, ::mascot::DbDevExportInfo, ::mascot::DirectoryReply>(
          std::mem_fn(&Directory::Service::ExportDevice), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      Directory_method_names[1],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< Directory::Service, ::mascot::DbDevExportInfos, ::mascot::DirectoryReply>(
          std::mem_fn(&Directory::Service::ExportDevices), this)));
  AddMethod(new ::grpc::internal::RpcServiceMethod(
      Directory_method_names[2],
      ::grpc::internal::RpcMethod::NORMAL_RPC,
      new ::grpc::internal::RpcMethodHandler< Directory::Service, ::mascot::DeviceName, ::mascot::DirectoryImportReply>(
          std::mem_fn(&Directory::Service::ImportDevice), this)));
}

Directory::Service::~Service() {
}

::grpc::Status Directory::Service::ExportDevice(::grpc::ServerContext* context, const ::mascot::DbDevExportInfo* request, ::mascot::DirectoryReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status Directory::Service::ExportDevices(::grpc::ServerContext* context, const ::mascot::DbDevExportInfos* request, ::mascot::DirectoryReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}

::grpc::Status Directory::Service::ImportDevice(::grpc::ServerContext* context, const ::mascot::DeviceName* request, ::mascot::DirectoryImportReply* response) {
  (void) context;
  (void) request;
  (void) response;
  return ::grpc::Status(::grpc::StatusCode::UNIMPLEMENTED, "");
}


}  // namespace mascot

